<!DOCTYPE html>

<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">

    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/IntervIO.css">

</head>

<body>


<div id="wrapper">
    <div id="content">

        <div class="mid-main-container" id="container">

            <div class="main-title">
                <span>Unboxer API</span>
            </div>


            <div class="hero-unit">
                <span>Ввести промокод</span>
                <a href="/api/unboxing?command=promo&promo_code=45D1" target="_blank">/api/unboxing?command=promo&promo_code=45D1</a>
                <div style="margin: 10px;background-color: white; padding: 10px;width: 400px;">
                    при вызове создаёюстя новый юзер, возвращается referralCode - это код, который юзер будет раздавать другим людям, referralCode будет указан в СМС которая будет рассылаться. promoCode - это код, который был получен от другого юзера, если я получил его - то могу использовать в магазине, чтобы получить скидку
                </div>
            </div>

            <div class="hero-unit">
                <span>Получить список купонов юзера</span>
                <a href="/api/unboxing?command=user_coupons&user_id=92abca12-2578-44f2-8ced-466972fee0ec" target="_blank">/api/unboxing?command=user_coupons&user_id=92abca12-2578-44f2-8ced-466972fee0ec</a>
            </div>

            <div class="hero-unit">
                <span>Получить фид</span>
                     <a href="/api/unboxing?command=feed" target="_blank">/api/unboxing?command=feed</a>
            </div>

            <div class="hero-unit">
                <span>Cоздание продукта</span>
                <a href="/api/unboxing?command=create_product" target="_blank">/api/unboxing?command=create_product</a>
                <div style="margin: 10px;background-color: white; padding: 10px;width: 400px;">
                    если не указать user_id -   то создаётся юзер и создаётся продукт, если указать user_id - но новый юзер не создаётся, а создаётся только продукт
                </div>

            </div>

            <div class="hero-unit">
                <span>Получить список товаров юзера</span>
                <a href="/api/unboxing?command=user_products&user_id=92abca12-2578-44f2-8ced-466972fee0ec" target="_blank">/api/unboxing?command=user_products&user_id=92abca12-2578-44f2-8ced-466972fee0ec</a>
            </div>

            <div class="hero-unit">
                <span>Создать юзера</span>
                <a href="/api/unboxing?command=create_user" target="_blank">/api/unboxing?command=create_user</a>
                <div style="margin: 10px;background-color: white; padding: 10px;width: 400px;">
                    этот метод API скорее всего не понадобится, но я сделал его на всякий случай
                </div>
            </div>

            <div class="hero-unit">
                <span>Загрузить картинку</span>

                <form action="/api/unboxing" method="post" enctype="multipart/form-data">
                    <input type="hidden" name="command" value="SEND_FILE"/>
                    <table>
                        <tr>
                            <td>
                                Product ID
                            </td>
                            <td>
                                <input type="product_id" name="product_id" value="product ID"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                User ID
                            </td>
                            <td>
                                <input type="user_id" name="user_id" value="user ID"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Файл
                            </td>
                            <td>
                                <input name="image" type="file"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="submit" value="Submit">
                            </td>
                            <td>
                            </td>
                        </tr>

                    </table>
                </form>
            </div>

            <div class="hero-unit">
                <span>Назначить товару название</span>

                <form action="/api/unboxing" method="post" enctype="application/x-www-form-urlencoded">
                    <input type="hidden" name="command" value="update_product"/>
                    <table>
                        <tr>
                            <td>
                                Product ID
                            </td>
                            <td>
                                <input type="product_id" name="product_id" value="product ID"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Product Name
                            </td>
                            <td>
                                <input type="product_name" name="product_name" value="Product Name"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="submit" value="Submit">
                            </td>
                            <td>
                            </td>
                        </tr>

                    </table>
                </form>
            </div>


            <div class="hero-unit">
                <span>Назначить юзеру имя и email</span>

                <form action="/api/unboxing" method="post" enctype="application/x-www-form-urlencoded">
                    <input type="hidden" name="command" value="update_user"/>
                    <table>
                        <tr>
                            <td>
                                User ID
                            </td>
                            <td>
                                <input type="user_id" name="user_id" value="user ID"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                User Name
                            </td>
                            <td>
                                <input type="user_name" name="user_name" value="Франц Иосиф"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                User Email
                            </td>
                            <td>
                                <input type="user_email" name="user_email" value="test@test.com"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="submit" value="Submit">
                            </td>
                            <td>
                            </td>
                        </tr>

                    </table>
                </form>
            </div>

            <div class="hero-unit">
                <span>Назначить название магазина</span>

                <form action="/api/unboxing" method="post" enctype="application/x-www-form-urlencoded">
                    <input type="hidden" name="command" value="update_store"/>
                    <table>
                        <tr>
                            <td>
                                User ID
                            </td>
                            <td>
                                <input type="user_id" name="user_id" value="user ID"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Store Name
                            </td>
                            <td>
                                <input type="store_name" name="store_name" value="Название Магазина"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="submit" value="Submit">
                            </td>
                            <td>
                            </td>
                        </tr>

                    </table>
                </form>
            </div>

            <div class="hero-unit">
                <span>Получить список комметариев товара</span>
                <a href="/api/unboxing?command=unboxer_comments&product_id=255129" target="_blank">/api/unboxing?command=comments&product_id=255129</a>
            </div>

            <div class="hero-unit">
                <span>Добавить новый комментарий</span>

                <form action="/api/unboxing" method="post" enctype="application/x-www-form-urlencoded">
                    <input type="hidden" name="command" value="create_comment"/>
                    <table>
                        <tr>
                            <td>
                                User ID
                            </td>
                            <td>
                                <input type="user_id" name="user_id" value="user ID"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Product ID
                            </td>
                            <td>
                                <input type="product_id" name="product_id" value="product Id"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Content
                            </td>
                            <td>
                                <input type="content" name="content" value="content"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Плюсы
                            </td>
                            <td>
                                <input type="pros" name="pros" value="pros"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Минусы
                            </td>
                            <td>
                                <input type="cons" name="cons" value="cons"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="submit" value="Submit">
                            </td>
                            <td>
                            </td>
                        </tr>

                    </table>
                </form>
            </div>

            <div class="hero-unit">
                <span>Найти товары по названию товара</span>

                <form action="/api/unboxing" method="post" enctype="application/x-www-form-urlencoded">
                    <input type="hidden" name="command" value="find"/>
                    <table>
                        <tr>
                            <td>
                                Product Name
                            </td>
                            <td>
                                <input type="product_name" name="product_name" value="холодильник"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="submit" value="Submit">
                            </td>
                            <td>
                            </td>
                        </tr>

                    </table>
                </form>
            </div>


            <!--<div class="hero-unit">-->
                <!--<span>Allbiz</span>-->

                <!--<form action="http://api.allbiz.me/Comments/Add/" method="post">-->
                    <!--<input type="text" name="key" value="022df00151c0f308b191a9a667a19f47"/>-->
                    <!--<input type="text" name="comment" value="Тестовый комментарий"/>-->
                    <!--<input type="text" name="name" value="Андрей"/>-->
                    <!--<input type="text" name="email" value="andrew@hemechoo.com"/>-->
                    <!--<input type="text" name="stars" value="5"/>-->
                    <!--<input type="text" name="pros" value="тест1"/>-->
                    <!--<input type="text" name="cons" value="тест2"/>-->
                    <!--<input type="text" name="item" value="137218"/>-->
                    <!--<input type="text" name="user" value="0"/>-->
                    <!--<input type="text" name="ip" value="127.0.0.1"/>-->
                    <!--<input type="text" name="ts" value="1414767000984"/>-->
                    <!--<input type="submit" value="Submit">-->

                <!--</form>-->
            <!--</div>-->




        </div>

    </div>
</div>


</body>


</html>
